cmdArgsCall {R.utils} | R Documentation

## Calls an R function passing command-line arguments

### Description

Calls an R function passing command-line arguments.

### Usage

    cmdArgsCall(..., args=cmdArgs(unique = FALSE), .ignoreUnusedArgs=FALSE,
      envir=parent.frame())

### Arguments

`...` | Arguments passed to `doCall`(), including the function to be called.
`args` | A `list` of arguments to be passed to the function being called.
`.ignoreUnusedArgs` | Passed to `doCall`().
`envir` | An `environment` in which to evaluate the call.

### Value

Returns whatever the called function returns.

### Author(s)

Henrik Bengtsson

### See Also

Internally, `cmdArgs`() and `doCall`() is used.

### Examples

    ## Not run:
      Rscript -e R.utils::cmdArgsCall(rnorm) n=4

    ## End(Not run)

[Package R.utils version 2.6.0 Index]